{"openapi":"3.0.4","info":{"title":"259LP11","version":"1.0"},"paths":{"/api/v1/camera":{"get":{"tags":["Camera"],"operationId":"GetLastCameraCommand","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CameraControlDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/CameraControlDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/CameraControlDTO"}}}}}},"post":{"tags":["Camera"],"operationId":"PostVisionData","requestBody":{"content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/CameraVisionDataDTO"}}}}}}},"/api/v1/part":{"get":{"tags":["PartProcessData"],"operationId":"GetPartsProcessData","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"startedFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"startedTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"orderDescBySerialNumber","in":"query","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/PartsProcessDataDTO"}}}}}}},"/api/v1/part/{partId}":{"get":{"tags":["PartProcessData"],"operationId":"GetPartProcessData","parameters":[{"name":"partId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/PartAllProcessDataDTO"}}}}}}},"/api/v1/station":{"get":{"tags":["StationStatus"],"operationId":"GetStationsStatus","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationStatusDTO"}}}}}}}},"/api/v1/station/{stationId}":{"get":{"tags":["StationStatus"],"operationId":"GetStationStatus","parameters":[{"name":"stationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/StationStatusDTO"}}}}}}},"/api/v1/stats":{"get":{"tags":["Statistics"],"operationId":"GetStatistics","parameters":[{"name":"startedFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"startedTo","in":"query","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}},"application/json":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/StationStatisticsDTO"}}}}}}}},"components":{"schemas":{"GreasingDTO":{"required":["partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"greasingStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"timestamp":{"type":"string","format":"date-time"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"HolesDTO":{"required":["holeAngles","partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"keySlotAngle":{"type":"number","format":"float"},"holeAngles":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"keySlotStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"holesStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"InsertionDTO":{"required":["partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"LabelScanDTO":{"required":["code","partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"code":{"type":"string","nullable":true},"codeQuality":{"type":"string"},"codeStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"MeasurementDTO":{"required":["partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"pressDepthMin":{"type":"number","format":"float"},"pressDepthMax":{"type":"number","format":"float"},"axialRunout":{"type":"number","format":"float"},"radialRunout":{"type":"number","format":"float"},"diameterAvg":{"type":"number","format":"float"},"pressDepthAvg":{"type":"number","format":"float"},"profile":{"type":"number","format":"float"},"pressDepthMinStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"pressDepthMaxStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"axialRunoutStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"radilRunoutStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"diameterAvgStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"pressDepthAvgStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"profileStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"PartAllProcessDataDTO":{"required":["greasings","holes","insertions","labelScans","measurements","robotLabelScans","serialNumber","takeOuts"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"insertions":{"type":"array","items":{"$ref":"#/components/schemas/InsertionDTO"},"nullable":true},"holes":{"type":"array","items":{"$ref":"#/components/schemas/HolesDTO"},"nullable":true},"labelScans":{"type":"array","items":{"$ref":"#/components/schemas/LabelScanDTO"},"nullable":true},"measurements":{"type":"array","items":{"$ref":"#/components/schemas/MeasurementDTO"},"nullable":true},"greasings":{"type":"array","items":{"$ref":"#/components/schemas/GreasingDTO"},"nullable":true},"takeOuts":{"type":"array","items":{"$ref":"#/components/schemas/TakeOutDTO"},"nullable":true},"robotLabelScans":{"type":"array","items":{"$ref":"#/components/schemas/RobotLabelScanDTO"},"nullable":true}},"additionalProperties":false},"PartsProcessDataDTO":{"required":["partsCount","partsProcessData"],"type":"object","properties":{"partsCount":{"type":"integer","format":"int32"},"partsProcessData":{"type":"array","items":{"$ref":"#/components/schemas/PartAllProcessDataDTO"},"nullable":true}},"additionalProperties":false},"RobotLabelScanDTO":{"required":["code","partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"code":{"type":"string","nullable":true},"codeQuality":{"type":"string"},"codeQualityStatus":{"$ref":"#/components/schemas/OperationStatusEnum"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"StationStatisticsDTO":{"required":["averageCycleTime","notOkPartsCount","okPartsCount","partsCount","stationName"],"type":"object","properties":{"stationName":{"type":"string","nullable":true},"partsCount":{"type":"integer","format":"int32"},"okPartsCount":{"type":"integer","format":"int32"},"notOkPartsCount":{"type":"integer","format":"int32"},"averageCycleTime":{"type":"string","format":"date-span"}},"additionalProperties":false},"StationStatusDTO":{"required":["id","ipAddress","isAlive","name","status"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"isAlive":{"type":"boolean"},"status":{"$ref":"#/components/schemas/StationStatusEnum"}},"additionalProperties":false},"StationStatusEnum":{"enum":[0,1,2,3,4],"type":"integer","format":"int32"},"OperationStatusEnum":{"enum":[0,1,2],"type":"integer","format":"int32"},"TakeOutDTO":{"required":["partId","serialNumber","timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"serialNumber":{"type":"string","nullable":true},"timestamp":{"type":"string","format":"date-time"},"partId":{"type":"integer","format":"int32"}},"additionalProperties":false},"CameraControlDTO":{"required":["id","timestamp","cameraCommand"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"timestamp":{"type":"string","format":"date-time"},"cameraCommand":{"type":"integer","format":"int32"}},"additionalProperties":false},"CameraVisionDataDTO":{"required":["camX","camY","camZ","complete"],"type":"object","properties":{"camX":{"type":"number","format":"float"},"camY":{"type":"number","format":"float"},"camRz":{"type":"number","format":"float"},"complete":{"type":"integer","format":"int32"},"status":{"type":"string","nullable":false},"errorCode":{"type":"string","nullable":true},"cameraDone":{"type":"boolean"}},"additionalProperties":false}}},"tags":[{"name":"PartProcessData"},{"name":"StationStatus"},{"name":"Statistics"},{"name":"Camera"}]}